/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

/* VARIABLES REUTILIZABLES  */

@font-face {
  font-family: 'Mulish Variable';
  src: url('/wp-content/themes/Avada-Child-Theme/fonts/Mulish-VariableFont_wght.ttf');
  font-style: normal;
}

@font-face {
  font-family: 'Mulish Italic';
  src: url('/wp-content/themes/Avada-Child-Theme/fonts/Mulish-Italic-VariableFont_wght.ttf');
  font-weight: 900;
  font-style: normal;
}

:root {
  --negro: #3e3a3a;
  --blanco: #ffffff;
  --crema: #f6edd5;
  --font: 'Mulish Variable', sans-serif;
}

.site-width-adhoc {
  max-width: var(--site_width) !important;
  margin: auto !important;
}

.texto h1,
.texto h2,
.texto h3,
.texto h4,
.texto h5,
.texto h6 {
  font-family: var(--font) !important;
  font-weight: 400 !important;
}

.texto p,
.texto li {
  font-weight: 200 !important;
}

.texto b,
.texto strong {
  font-weight: 200 !important;
  font-family: var(--font) !important;
}
/* HEADER */

header {
  position: fixed !important;
  top: 0;
  left: 0;
  width: 100%;
  transition: all 0.2s ease-in-out !important;
}
header,
.fusion-header {
  background-color: transparent !important;
}

header.scrolled {
  background-color: var(--negro) !important;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.fusion-logo img {
  width: 130px !important;
}

.menu-text {
  color: var(--blanco) !important;
  font-family: var(--font) !important;
  font-weight: 200 !important;
}

.adhoc-header {
  display: grid;
  grid-template-columns: 0.2fr 0.6fr 0.2fr;
  align-items: center;
}

.adhoc-header .fusion-menu {
  display: flex !important;
  width: fit-content !important;
  align-items: center !important;
  flex-direction: row !important;
}

.fusion-main-menu {
  width: fit-content !important;
  margin: auto !important;
}

.header-actions {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: right;
  gap: 10px;
}

.header-actions a {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
  color: var(--blanco) !important;
  background-color: var(--negro) !important;
  padding-left: 40px;
  font-size: 15px !important;
  line-height: 60px !important;
  border-radius: 5px !important;
  padding-right: 40px;
  font-weight: 400 !important;
  transition: all 0.2s ease-in-out !important;
}

.header-actions a:hover {
  background-color: #000 !important;
}

.scrolled .header-actions a {
  background-color: #5e5b5b !important;
  color: var(--blanco) !important;
}

.scrolled .header-actions a:hover {
  background-color: #696969 !important;
  color: var(--blanco) !important;
}
/* BODY */

.boton-slider {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
}

.grid-home-links {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
}

.grid-home-links .item-home-link {
  position: relative !important;
}

.grid-home-links .item-home-link::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #3e3a3a67;
  transition: all 0.3s ease-in-out !important;
}

.grid-home-links .item-home-link:hover::after {
  background-color: #3e3a3a96 !important;
  transition: all 0.3s ease-in-out !important;
}

.grid-home-links .item-home-link > img {
  object-fit: cover;
  width: 100%;
  height: 400px;
}

.grid-home-links .text-home-link {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 20px;
  z-index: 2;
}

.grid-home-links .text-home-link p {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  color: var(--blanco) !important;
  font-size: 20px !important;
}

.boton a {
  background-color: var(--negro) !important;
  color: var(--blanco) !important;
  padding: 0px 40px !important;
  padding-right: 60px !important;
  line-height: 60px !important;
  border-radius: 5px !important;
  font-size: 15px !important;
  font-weight: 400 !important;
  transition: all 0.2s ease-in-out !important;
  text-decoration: none !important;
  display: inline-block !important;
}

.boton a:hover {
  background-color: #000000 !important;
}

.boton a::after {
  content: url('/wp-content/uploads/2025/06/flecha-boton.png');
  right: -20px;
  position: relative;
}

.grid-reflection {
  display: grid;
  grid-template-columns: 0.2fr 0.4fr 0.4fr;
  gap: 15px;
  height: 500px;
}

.grid-reflection .item-img-reflection img {
  object-fit: cover;
  width: 100%;
  height: 100%;
}

.grid-reflection .item-img-reflection {
  position: relative;
}

.grid-reflection .item-img-reflection::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #3e3a3a67;
  transition: all 0.3s ease-in-out !important;
}

.item-text-reflection {
  display: flex;
  flex-direction: column;
  height: 100%;
  overflow: hidden;
}

.item-text-reflection .text-reflection {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.item-text-reflection .img-reflection {
  flex: 1;
  position: relative;
  overflow: hidden;
}

.item-text-reflection .img-reflection::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #3e3a3a67;
  transition: all 0.3s ease-in-out !important;
}

.item-text-reflection .img-reflection img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.text-reflection h2 {
  font-size: 40px !important;
  line-height: 40px !important;
  font-family: var(--font) !important;
  font-weight: 400 !important;
}

.text-reflection .boton {
  margin-left: auto !important;
}

.seccion-more-than-home {
  position: relative;
}

.columna-superpuesta-uno {
  position: absolute;
  width: 100px;
  height: 100%;
  top: 0;
  left: 20.7%;
  background-color: #f9f9f9 !important;
  z-index: 1 !important;
}

.columna-superpuesta-dos {
  position: absolute;
  width: 100px;
  height: 100%;
  bottom: 0;
  left: 50%;
  background-color: #f9f9f9 !important;
  z-index: 1 !important;
}

.fila-superpuesta-uno {
  position: absolute;
  width: 50%;
  height: 170px;
  top: 230px;
  right: 0;
  background-color: #f9f9f9 !important;
  z-index: 1 !important;
}

.superposicion-fila {
  z-index: 2 !important;
  position: relative;
}

.grid-built-on-trust {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
  max-width: 1000px;
  margin: auto;
  padding-top: 85px;
  padding-bottom: 85px;
}

.grid-built-on-trust h2 {
  color: var(--blanco) !important;
  font-family: var(--font) !important;
  font-weight: 400 !important;
}

.grid-built-on-trust p {
  color: var(--blanco) !important;
  font-family: var(--font) !important;
  font-weight: 200 !important;
  font-size: 16px !important;
  line-height: 18px !important;
}

.columna-gform {
  background-color: var(--crema) !important;
  padding: 10px 30px !important;
  border-radius: 5px !important;
}

.grid-equipo {
  display: grid !important;
  grid-template-columns: repeat(2, 1fr) !important;
  gap: 15px !important;
}

.grid-equipo img {
  object-fit: cover !important;
  width: 100% !important;
  height: 100% !important;
}

.grid-equipo::after,
.grid-equipo::before {
  display: none !important;
}

.grid-equipo .vc_column-inner {
  box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px !important;
  padding: 0px !important;
}

.grid-equipo .wpb_column {
  width: 100% !important;
}
.grid-equipo .wpb_text_column {
  margin-bottom: 0px !important;
  padding: 25px 15px !important;
}

.grid-equipo .wpb_single_image {
  margin-bottom: 0px !important;
}

.grid-equipo .wpb_text_column .wpb_wrapper p:first-child {
  font-weight: 900 !important;
  margin-bottom: 0px !important;
  font-family: var(--font) !important;
}

.grid-equipo .wpb_text_column .wpb_wrapper p:last-child {
  font-weight: 200 !important;
  margin-bottom: 0px !important;
  font-family: var(--font) !important;
}

/* TEXTOS LEGALES */

body.page-id-3 header,
body.page-id-270 header,
body.page-id-276 header {
	background-color: var(--negro) !important;
}

body.page-id-3 header .header-actions a,
body.page-id-270 header .header-actions a,
body.page-id-276 header .header-actions a {
	background-color: #5e5b5b !important;
    color: var(--blanco) !important;
}

body.page-id-3 main,
body.page-id-270 main,
body.page-id-276 main {
	padding-top: 120px !important;
}

/* GFORM */

.gform_body input,
.gform_body textarea {
  outline: none !important;
}

.gform_required_legend {
  display: none !important;
}

.gform_fields {
  gap: 15px !important;
}

.gform-footer input[type='submit'] {
  background-color: var(--negro) !important;
  color: var(--blanco) !important;
  padding: 0px 40px !important;
  line-height: 40px !important;
  border-radius: 5px !important;
  font-size: 15px !important;
  font-weight: 400 !important;
  transition: all 0.2s ease-in-out !important;
  text-decoration: none !important;
}

/* FOOTER */

.adhoc-footer {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.adhoc-footer a,
.adhoc-footer p {
  color: var(--blanco) !important;
  font-size: 14px !important;
  font-family: var(--font) !important;
}

.footer-uno,
.footer-dos {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
}

.fu-col-uno {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.fu-col-uno > img {
  width: 130px !important;
}
.contacto-footer {
  display: flex;
  flex-direction: column;
  gap: 5px;
}
.contacto-footer > div {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.contacto-footer > div img {
  width: 18px;
}

.contacto-footer > div p {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  font-size: 14px !important;
  font-family: var(--font) !important;
}

.redes-footer {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 10px;
}

.redes-footer a {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

.redes-footer a > img {
  width: 22px !important;
}

.fu-col-dos {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  text-align: right;
  justify-items: right;
  gap: 10px !important;
}

.fu-col-dos p {
  font-family: var(--font) !important;
  font-weight: 600 !important;
  margin-top: 0px !important;
}

.footer-dos > div:last-child {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 20px;
  justify-content: right;
  text-align: right;
}

/* Projects */

.grid-projects {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 15px;
}

.heco-project-item {
  position: relative;
}

.heco-project-item::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #3e3a3a67;
  transition: all 0.3s ease-in-out !important;
}
.heco-project-item-text {
  position: absolute;
  top: 20px;
  left: 20px;
  z-index: 2 !important;
}

.heco-project-item-text h3 {
  color: var(--blanco) !important;
  margin-bottom: 0px !important;
  font-family: var(--font) !important;
  text-transform: uppercase !important;
  font-size: 20px !important;
}

.heco-project-item-text p {
  text-transform: uppercase !important;
  font-family: var(--font) !important;
  color: var(--blanco) !important;
}

.heco-project-thumb img {
  object-fit: cover !important;
  width: 100% !important;
  height: 400px !important;
}

#heco-load-more-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  margin-top: 45px !important;
}

#heco-load-more {
  background-color: var(--negro) !important;
  color: var(--blanco) !important;
  padding: 10px 20px !important;
  border-radius: 5px !important;
  font-size: 15px !important;
  font-weight: 400 !important;
  transition: all 0.2s ease-in-out !important;
  text-decoration: none !important;
  text-transform: uppercase !important;
  display: inline-block !important;
}

/* Single heco-projects */

.single-heco-projects #main {
  padding-left: 0px !important;
  padding-right: 0px !important;
}

.single-heco-projects #main > .fusion-row {
  max-width: unset !important;
}

.single-heco-content {
  max-width: var(--site_width) !important;
  margin: auto !important;
}

.single-heco-projects .featured-image img {
  object-fit: cover !important;
  width: 100% !important;
  height: 700px !important;
}

.single-heco-text {
  padding-top: 45px;
  padding-bottom: 45px;
}

.single-heco-text h1 {
  font-size: 30px !important;
  text-transform: uppercase !important;
  font-weight: 600 !important;
  font-family: var(--font) !important;
  margin-bottom: 5px !important;
}

.heco-location {
  font-family: var(--font) !important;
  font-weight: 200 !important;
  text-transform: uppercase !important;
  font-size: 16px !important;
  margin-top: 0px !important;
}

.single-collabs {
  display: flex;
  flex-direction: column;
  gap: 2px;
  margin-top: 20px;
}

.single-collabs h4 {
  font-size: 18px !important;
  font-family: var(--font) !important;
  font-weight: 600 !important;
  text-transform: uppercase !important;
  margin: 0px !important;
}

.single-collabs p {
  font-family: var(--font) !important;
  font-weight: 200 !important;
  margin: 0px !important;
}

.single-heco-content .heco-gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 5px;
}

.heco-gallery-item img {
  object-fit: cover !important;
  width: 100%;
  height: 300px !important;
}

.heco-more-projects {
  margin-top: 45px;
  margin-bottom: 45px;
}

.heco-more-projects h2 {
  text-align: center !important;
  text-transform: uppercase !important;
  font-family: var(--font) !important;
  font-weight: 600 !important;
}
/* Responsive */

.fusion-flyout-menu-icons {
	position: absolute !important;
    right: 35px !important;
}

.fusion-header-has-flyout-menu:not(.fusion-flyout-menu-active) .fusion-flyout-menu-icons .fusion-toggle-icon-line {
	background-color: var(--blanco) !important;
}

.fusion-mobile-nav-item:not(:last-child) {
	margin-bottom: 20px;
}

.fusion-mobile-menu .menu-text {
	color: var(--negro) !important;
}

.burger {
  display: none;
}

.menu-lateral {
  display: none;
  flex-direction: column;
  gap: 30px;
  background-color: var(--blanco);
  height: 100dvh;
  position: fixed;
  top: 0;
  left: -90%;
  width: 70%;
  box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
  padding: 30px;
  transition: all 0.3s ease-in-out !important;
}

.menu-lateral.activo {
  left: 0% !important;
}

.logo-lateral {
  width: 180px;
}

.menu-lateral .menu {
  display: flex;
  flex-direction: column;
  gap: 10px;
  list-style: none !important;
  padding-left: 0px !important;
}

.menu-lateral .menu li {
  list-style: none !important;
  background-color: #fafafa !important;
  padding: 5px 20px;
  border-radius: 5px;
  font-size: 15px !important;
}

.menu-lateral .menu li a {
  position: relative;
  top: 2px;
}

.menu-lateral .menu-item-has-children {
  max-height: 35px;
  overflow: hidden;
  position: relative;
  transition: all 0.3s ease-in-out !important;
}

.menu-lateral .menu-item-has-children li {
  padding-left: 0px !important;
  padding-right: 0px !important;
}
.menu-lateral .menu-item-has-children.activo {
  max-height: 9999999px;
}
.menu-lateral .menu .sub-menu {
  padding-left: 10px !important;
  padding-top: 10px !important;
}

.menu-lateral .menu .sub-menu li {
  font-size: 14px !important;
}

.actions-lateral {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.actions-lateral a {
  background-color: var(--rojo);
  color: var(--blanco) !important;
  border: 2px solid var(--rojo);
  padding: 10px 30px;
  border-radius: 100px;
  font-size: 15px !important;
  line-height: 15px !important;
  text-align: center !important;
  width: 100% !important;
}

.actions-lateral a:hover {
  background-color: #c75250 !important;
  border: 2px solid #c75250 !important;
  color: var(--blanco) !important;
}

.arrow-menu {
  position: absolute;
  top: 6px;
  right: 12px;
  background-color: var(--verde);
  border-radius: 100px;
  width: 22px;
  height: 22px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.arrow-menu img {
  width: 18px;
}
.hidden-gallery {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  top: -9999px;
  left: -9999px;
}
